%define upstream_name  	    ExtUtils-CBuilder
%define upstream_version 0.280224

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Compile and link C code for Perl modules 
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch0:         ExtUtils-CBuilder-0.280219-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.130.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Perl::OSType) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.
However, it is not intended as a general cross-platform interface to all your C
building needs. That would have been a much more ambitious goal!

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std
for m in ExtUtils::CBuilder.3pm ExtUtils::CBuilder::Platform::Windows.3pm; do
	rm -f %{buildroot}%{_mandir}/man3/$m
done

%check
make test

%files 
%license LICENSE
%doc CONTRIBUTING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils


%changelog
* Fri Oct 14 2016 tv <tv> 0.280.224-4.mga6
+ Revision: 1060756
- use %%license
- patch 0: link XS modules to libperl.so (like module in main perl)

* Sun Jun 19 2016 pterjan <pterjan> 0.280.224-3.mga6
+ Revision: 1027129
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.280.224-2.mga6
+ Revision: 971317
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.280.224-1.mga6
+ Revision: 891350
- update to 0.280224

* Sat Jun 27 2015 sander85 <sander85> 0.280.223-1.mga6
+ Revision: 846207
- update to 0.280223

* Sat Oct 18 2014 umeabot <umeabot> 0.280.219-4.mga5
+ Revision: 788255
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.280.219-3.mga5
+ Revision: 750978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.219-2.mga5
+ Revision: 684673
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.280.219-1.mga5
+ Revision: 670902
- update to 0.280219

* Mon Sep 01 2014 sander85 <sander85> 0.280.218-1.mga5
+ Revision: 670678
- update to 0.280218

* Sat Aug 23 2014 sander85 <sander85> 0.280.217-1.mga5
+ Revision: 666835
- update to 0.280217

* Thu Mar 13 2014 jquelin <jquelin> 0.280.216-1.mga5
+ Revision: 602785
- update to 0.280216

* Mon Feb 10 2014 jquelin <jquelin> 0.280.212-3.mga5
+ Revision: 587915
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.280.212-2.mga4
+ Revision: 534209
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.280.212-1.mga4
+ Revision: 476415
- update to 0.280212

* Sun Sep 08 2013 sander85 <sander85> 0.280.210-1.mga4
+ Revision: 476248
- update to 0.280210

* Sun Jan 13 2013 umeabot <umeabot> 0.280.205-2.mga3
+ Revision: 367007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.280.205-1.mga2
+ Revision: 219764
- update to 0.280205

* Fri Feb 18 2011 jquelin <jquelin> 0.280.202-1.mga1
+ Revision: 53614
- update to 0.280202

* Wed Jan 19 2011 jquelin <jquelin> 0.280.200-2.mga1
+ Revision: 24295
- fix specs
- imported package perl-ExtUtils-CBuilder

